Bug 218233 - [exp-run] Remove hacks for deprecated WITH_IDEA src.conf(5) option
Summary: [exp-run] Remove hacks for deprecated WITH_IDEA src.conf(5) option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jung-uk Kim
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-30 18:11 UTC by Jung-uk Kim
Modified: 2017-04-03 17:49 UTC (History)
3 users (show)

See Also:


Attachments
Remove OpenSSL hacks for IDEA crypto (8.00 KB, patch)
2017-03-30 18:11 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jung-uk Kim freebsd_committer 2017-03-30 18:11:50 UTC
Created attachment 181321 [details]
Remove OpenSSL hacks for IDEA crypto

We have some hacks in the ports tree to detect or to unconditionally disable IDEA support.  These hacks existed because OpenSSL in FreeBSD 9.3 and earlier was shipped without IDEA support by default but we were able to enable it via WITH_IDEA src.conf(5) option.

https://www.freebsd.org/cgi/man.cgi?query=src.conf&manpath=FreeBSD+9.3-RELEASE

Since all supported FreeBSD releases unconditionally ship with IDEA now, we can remove the hacks.
Comment 1 Cy Schubert freebsd_committer 2017-03-31 01:40:23 UTC
Approved for net/pipsecd.
Comment 2 Antoine Brodin freebsd_committer 2017-04-01 06:36:00 UTC
Exp-run looks fine.
Comment 3 commit-hook freebsd_committer 2017-04-03 17:33:57 UTC
A commit references this bug:

Author: jkim
Date: Mon Apr  3 17:33:49 UTC 2017
New revision: 437668
URL: https://svnweb.freebsd.org/changeset/ports/437668

Log:
  Remove obsolete OpenSSL hacks for IDEA crypto.

  We have some hacks in the ports tree to detect or to unconditionally disable
  IDEA crypto support.  These hacks existed because OpenSSL in FreeBSD 9.3 and
  earlier was shipped without IDEA support by default but we were allowed to
  enable it via WITH_IDEA src.conf(5) option.

  https://www.freebsd.org/cgi/man.cgi?query=src.conf&manpath=FreeBSD+9.3-RELEASE

  Therefore, we had to implement some hacks to support three different cases,
  i.e., a) 9.3 and earlier without IDEA crypto (default), b) 9.3 and earlier
  with IDEA crypto (via WITH_IDEA src.conf option), and c) 10.0 and later with
  unconditional IDEA support.  Now we can safely remove them because 9.3 and
  earlier is no longer supported.

  PR:		218233
  Exp-Run by:	antoine
  Approved by:	antoine (portmgr)

Changes:
  head/Mk/Uses/ssl.mk
  head/net/pipsecd/Makefile
  head/net/pipsecd/files/patch-tunip.c
  head/security/netpgp/Makefile
  head/security/py-pow/Makefile
Comment 4 Jung-uk Kim freebsd_committer 2017-04-03 17:49:01 UTC
Committed (r437668).